---
- name: Test default - setup
  hosts: all
  vars:
    __sshd_test_backup_files:
      - /etc/ssh/sshd_config
      - /etc/ssh/sshd_config.d/00-ansible_system_role.conf
  tasks:
    - name: "Backup configuration files"
      ansible.builtin.include_tasks: tasks/backup.yml

- name: Test defaults
  hosts: all
  roles:
    - fedora.linux_system_roles.sshd

- name: Test default - restore
  hosts: all
  vars:
    __sshd_test_backup_files:
      - /etc/ssh/sshd_config
      - /etc/ssh/sshd_config.d/00-ansible_system_role.conf
  tasks:
    - name: "Restore configuration files"
      ansible.builtin.include_tasks: tasks/restore.yml
